# Interface Translations

#### Hierarchy

- Translations

#####
Index

### Properties

accessibleHidePassword
accessibleMaxLengthExceeded
accessibleMaxLengthRemaining
accessibleShowPassword
regexp
required

## Properties

### accessibleHidePassword

accessibleHidePassword: string

Label for the 'view-hide' mask visibility icon.

#### Deprecated

Since 18.0.0. This label text should be consistent across the application, and not configured per component instance.

### accessibleMaxLengthExceeded

accessibleMaxLengthExceeded: string

Message to announce to AT via aria-live when the length.max is exceeded.

#### Deprecated

Since 18.0.0. This message text should be consistent across the application, and not configured per component instance.

### accessibleMaxLengthRemaining

accessibleMaxLengthRemaining: string

Message to announce to AT via aria-live for the remaining character count.

#### Deprecated

Since 18.0.0. This message text should be consistent across the application, and not configured per component instance.

### accessibleShowPassword

accessibleShowPassword: string

Label for the 'view' mask visibility icon.

#### Deprecated

Since 18.0.0. This label text should be consistent across the application, and not configured per component instance.

### regexp

regexp: TranslationsRegexp

Provides properties to customize the message text used by the implicit regexp validator associated to the InputPassword component.

#### Deprecated

Since 18.0.0. The implicit regexp validator is not supported by the component.

### required

required: TranslationsRequired

Provides properties to customize the summary, detail and hint text used by the implicit required validator associated to any editable component that supports the required option.

Generated using TypeDoc